package com.css.txw.mhzc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.css.txw.mhzc.pojo.HtYhxxbDTO;
import com.css.txw.mhzc.pojo.YhxxReqDTO;
import com.css.txw.mhzc.pojo.YhxxbDTO;
import com.css.txw.mhzc.pojo.domain.TxwMhzcYhxxbDO;
import com.css.txw.mhzc.pojo.vo.*;

import java.util.List;

/**
* @author AirlH
* @description 针对表【txw_mhzc_yhxxb(用户信息表)】的数据库操作Service
* @createDate 2025-09-08 17:08:12
*/
public interface TxwMhzcYhxxbService extends IService<TxwMhzcYhxxbDO> {

    YhxxbDTO initSessionByYhuuid(YhxxReqDTO reqDTO);

    YhxxbDTO initSessionByDlzh(YhxxReqDTO reqDTO);

    String register(UserRegisterReqVO reqVO);

    SessionVO init();

    Page<UserVO> getAllUser(UserReqVO reqVO);

    String resetPassword(String yhuuid);

    List<String> getAllUserId();

    Integer lockUser(UserLockVO infoVO);

    Integer unlockUser(UserLockVO infoVO);

    YhxxbDTO initSessionByDid(YhxxReqDTO reqDTO);

    YhxxbDTO initSessionBySfzjhm(YhxxReqDTO reqDTO);

    YhxxbDTO saveYhxxByDid(YhxxbDTO yhxx);

    YhxxbDTO updateDid(YhxxbDTO yhxx);    
}
